/* pointlist.c */

#include "pointlist.h"
#include "vector.h"

POINT *PointListFind(POINTLIST *pl, POINT *point)
{
	POINT *p;

	while ((p = PointListNext(&pl))) 
		if (VECTOREQUAL(*p, *point))
			return p;

	return (POINT *)NULL;
}
